<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PersonGroups StructType
 * @subpackage Structs
 */
class PersonGroups extends AbstractStructBase
{
    /**
     * The TxConnectGroups
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\TXConnectGroups
     */
    public $TxConnectGroups;
    /**
     * The SocialGroup
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\SocialGroup
     */
    public $SocialGroup;
    /**
     * Constructor method for PersonGroups
     * @uses PersonGroups::setTxConnectGroups()
     * @uses PersonGroups::setSocialGroup()
     * @param \StructType\TXConnectGroups $txConnectGroups
     * @param \StructType\SocialGroup $socialGroup
     */
    public function __construct(\StructType\TXConnectGroups $txConnectGroups = null, \StructType\SocialGroup $socialGroup = null)
    {
        $this
            ->setTxConnectGroups($txConnectGroups)
            ->setSocialGroup($socialGroup);
    }
    /**
     * Get TxConnectGroups value
     * @return \StructType\TXConnectGroups|null
     */
    public function getTxConnectGroups()
    {
        return $this->TxConnectGroups;
    }
    /**
     * Set TxConnectGroups value
     * @param \StructType\TXConnectGroups $txConnectGroups
     * @return \StructType\PersonGroups
     */
    public function setTxConnectGroups(\StructType\TXConnectGroups $txConnectGroups = null)
    {
        $this->TxConnectGroups = $txConnectGroups;
        return $this;
    }
    /**
     * Get SocialGroup value
     * @return \StructType\SocialGroup|null
     */
    public function getSocialGroup()
    {
        return $this->SocialGroup;
    }
    /**
     * Set SocialGroup value
     * @param \StructType\SocialGroup $socialGroup
     * @return \StructType\PersonGroups
     */
    public function setSocialGroup(\StructType\SocialGroup $socialGroup = null)
    {
        $this->SocialGroup = $socialGroup;
        return $this;
    }
}
